package nl.sbdeveloper.mctpaudio.listener;

import nl.sbdeveloper.mctpaudio.MCTPAudio;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerQuitEvent;
import org.json.simple.JSONObject;

/* Copyright (C) McThemeParks - All Rights Reserved
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 * Written by Stijn Bannink <stijnbannink23@gmail.com>, July 2020
 */

public class LogoutListener implements Listener {
    @EventHandler
    public void onDisconnect(PlayerQuitEvent e) {
        JSONObject data = new JSONObject();
        data.put("task", "LOGOUT");
        data.put("uuid", e.getPlayer().getUniqueId().toString().replace("-", ""));
        MCTPAudio.getClient().sendData(data);
    }
}
